corda / net.corda.core.transactions / WireTransaction / toLedgerTransaction

# toLedgerTransaction

`fun toLedgerTransaction(services: ServicesForResolution): LedgerTransaction`

Looks up identities and attachments from storage to generate a LedgerTransaction. A transaction is expected to have been fully resolved using the resolution flow by this point.

### Exceptions

`AttachmentResolutionException` - if a required attachment was not found in storage.

`TransactionResolutionException` - if an input points to a transaction not found in storage.